Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.primitives
Class RandomAccessCharList.RandomAccessCharListIterator

    java.lang.Object
      org.apache.commons.collections.primitives.RandomAccessCharList.ComodChecker
          org.apache.commons.collections.primitives.RandomAccessCharList.RandomAccessCharListIterator

All Implemented Interfaces:
  CharIterator, CharListIterator

Enclosing class:
  RandomAccessCharList

protected static class RandomAccessCharList.RandomAccessCharListIterator
extends org.apache.commons.collections.primitives.RandomAccessCharList.ComodChecker
implements CharListIterator

Method Summary
`void` | `add(char value)` Inserts the specified element into my underlying collection (optional operation).
`protected void` | `assertNotComodified()`
`protected RandomAccessCharList` | `getList()`
`boolean` | `hasNext()` Returns `true` iff I have more elements when traversed in the forward direction.
`boolean` | `hasPrevious()` Returns `true` iff I have more elements when traversed in the reverse direction.
`char` | `next()` Returns the next element in me when traversed in the forward direction.
`int` | `nextIndex()` Returns the index of the element that would be returned by a subsequent call to `next()`, or the number of elements in my iteration if I have no next element.
`char` | `previous()` Returns the next element in me when traversed in the reverse direction.
`int` | `previousIndex()` Returns the index of the element that would be returned by a subsequent call to `previous()`, or `-1` if I have no previous element.
`void` | `remove()` Removes from my underlying collection the last element returned by `next()` or `previous()` (optional operation).
`protected void` | `resyncModCount()`
`void` | `set(char value)` Replaces in my underlying collection the last element returned by `next()` or `previous()` with the specified value (optional operation).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasNext

    public boolean hasNext()

  Description copied from interface: `CharListIterator`
  Returns `true` iff I have more elements when traversed in the forward direction. (In other words, returns `true` iff a call to `CharListIterator.next()` will return an element rather than throwing an exception.

  Specified by:
    `hasNext` in interface `CharListIterator`
  Returns:
    `true` iff I have more elements when traversed in the forward direction

### hasPrevious

    public boolean hasPrevious()

  Description copied from interface: `CharListIterator`
  Returns `true` iff I have more elements when traversed in the reverse direction. (In other words, returns `true` iff a call to `CharListIterator.previous()` will return an element rather than throwing an exception.

  Specified by:
    `hasPrevious` in interface `CharListIterator`
  Returns:
    `true` iff I have more elements when traversed in the reverse direction

### nextIndex

    public int nextIndex()

  Description copied from interface: `CharListIterator`
  Returns the index of the element that would be returned by a subsequent call to `CharListIterator.next()`, or the number of elements in my iteration if I have no next element.

  Specified by:
    `nextIndex` in interface `CharListIterator`
  Returns:
    the index of the next element in me

### previousIndex

    public int previousIndex()

  Description copied from interface: `CharListIterator`
  Returns the index of the element that would be returned by a subsequent call to `CharListIterator.previous()`, or `-1` if I have no previous element.

  Specified by:
    `previousIndex` in interface `CharListIterator`
  Returns:
    the index of the previous element in me

### next

    public char next()

  Description copied from interface: `CharListIterator`
  Returns the next element in me when traversed in the forward direction.

  Specified by:
    `next` in interface `CharListIterator`
  Returns:
    the next element in me

### previous

    public char previous()

  Description copied from interface: `CharListIterator`
  Returns the next element in me when traversed in the reverse direction.

  Specified by:
    `previous` in interface `CharListIterator`
  Returns:
    the previous element in me

### add

    public void add(char value)

  Description copied from interface: `CharListIterator`
  Inserts the specified element into my underlying collection (optional operation). The element is inserted immediately before the next element that would have been returned by `CharListIterator.next()`, if any, and immediately after the next element that would have been returned by `CharListIterator.previous()`, if any.

  The new element is inserted immediately before the implied cursor. A subsequent call to `CharListIterator.previous()` will return the added element, a subsequent call to `CharListIterator.next()` will be unaffected. This call increases by one the value that would be returned by a call to `CharListIterator.nextIndex()` or `CharListIterator.previousIndex()`.

  Specified by:
    `add` in interface `CharListIterator`
  Parameters:
    `value` - the value to be inserted

### remove

    public void remove()

  Description copied from interface: `CharListIterator`
  Removes from my underlying collection the last element returned by `CharListIterator.next()` or `CharListIterator.previous()` (optional operation).

  Specified by:
    `remove` in interface `CharListIterator`

### set

    public void set(char value)

  Description copied from interface: `CharListIterator`
  Replaces in my underlying collection the last element returned by `CharListIterator.next()` or `CharListIterator.previous()` with the specified value (optional operation).

  Specified by:
    `set` in interface `CharListIterator`
  Parameters:
    `value` - the value to replace the last returned element with

### getList

    protected RandomAccessCharList getList()

### assertNotComodified

    protected void assertNotComodified()
                                throws ConcurrentModificationException

  Throws:
    `ConcurrentModificationException`

### resyncModCount

    protected void resyncModCount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.